//+------------------------------------------------------------------+
//|                                                    HiLo_kale.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"

#property indicator_chart_window
 
#property indicator_color1 Blue
#property indicator_color2 Violet
#property indicator_color3 Red
#property indicator_buffers 3
extern int ratio = 8;
double UpBuffer[];
double DnBuffer[];
double MidBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,2);
   SetIndexStyle(1,DRAW_LINE,STYLE_DOT,1);
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2);
  
   SetIndexBuffer(0,UpBuffer);
   SetIndexBuffer(1,MidBuffer);
   SetIndexBuffer(2,DnBuffer);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) counted_bars=0;
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars-1;
//---- 
   for(int i = limit ;i >= 0 ;i--)
   {
      UpBuffer[i] = iHigh(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i])+1)-(iHigh(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i])+1)*(ratio*Point));
      DnBuffer[i] = iLow(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i])+1)+(iLow(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i])+1)*(ratio*Point));
      
      MidBuffer[i] = UpBuffer[i]-((UpBuffer[i]-DnBuffer[i])/2);
      
   }
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+